org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPEnumerationSpecialization

All Superinterfaces:
  java.lang.Cloneable, IBinding, ICPPBinding, ICPPEnumeration, ICPPSpecialization, ICPPTypeSpecialization, IEnumeration, IType

    public interface ICPPEnumerationSpecialization
    extends ICPPEnumeration, ICPPTypeSpecialization

Since:
  5.5

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IType

`EMPTY_TYPE_ARRAY, TYPE_MATCHER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`ICPPEnumeration` `getSpecializedBinding()` Return the binding that this specialization specializes.
`IEnumerator` `specializeEnumerator(IEnumerator enumerator)` Return a specialized version of the given enumerator.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPEnumeration

`asScope, getFixedType, isScoped`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IEnumeration

`getEnumerators, getMaxValue, getMinValue`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IType

`clone, isSameType`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPSpecialization

`getTemplateParameterMap`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPBinding

`getQualifiedName, getQualifiedNameCharArray, isGloballyQualified`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`

### Method Detail

#### getSpecializedBinding

    ICPPEnumeration getSpecializedBinding()

Description copied from interface: `ICPPSpecialization`
Return the binding that this specialization specializes.

Specified by:
  `getSpecializedBinding` in interface `ICPPSpecialization`
Returns:
  the original binding that this is a specialization of

#### specializeEnumerator

    IEnumerator specializeEnumerator(IEnumerator enumerator)

Return a specialized version of the given enumerator. The enumerator must be one of the enumerators of the enumeration being specialized.